Redland RDF Application Framework API Reference Manual
<<< Previous |  | Next >>>

# librdf_uri_to_filename

## Name

librdf_uri_to_filename -- Return pointer to filename of URI

## Synopsis

``const char* `librdf_uri_to_filename`` (librdf_uri* `uri`);`

## Arguments

`uri`

  librdf_uri object

## Description

Returns a pointer to a newly allocated buffer that the caller must free. This will fail if the URI

## is not a file

URI. This can be checked with librdf_uri_is_file_uri

## Return value

pointer to filename or NULL on failure

<<< Previous | Home | Next >>>
librdf_uri_is_file_uri | Up | UTF-8